package com.qianhe.zqcz.pwxx.mapper;

import com.qianhe.zqcz.pwxx.domain.ZqczPwxx;
import com.qianhe.zqcz.pwxx.domain.ZqczPwxxQuery;
import com.qianhe.zqcz.pwxx.domain.ZqczPwxxVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface ZqczPwxxMapper {
    /**
     * 条件查询
     */
    List<ZqczPwxxVo> list(ZqczPwxxQuery zqczPwxxQuery);

    /**
     * 查询详情
     */
    ZqczPwxxVo info(@Param("pwid") Long pwid);

    /**
     * 新增
     */
    int add(ZqczPwxx zqczPwxx);

    /**
     * 修改
     */
    int edit(ZqczPwxx zqczPwxx);

    /**
     * 删除
     */
    int delete(Long[] ids);

    /**
     * 根据基层任务ID删除
     */
    int deleteByJcrwid(@Param("jcrwid") Long jcrwid);

    /**
     * 批量插入
     */
    int batchAdd(@Param("pwxxList") List<ZqczPwxx> pwxxList);
}
